Index: main/waeup.kofa/branches/uli-upgrade-beaker/CHANGES.txt
===================================================================
--- main/waeup.kofa/branches/uli-upgrade-beaker/CHANGES.txt	(revision 17171)
+++ main/waeup.kofa/branches/uli-upgrade-beaker/CHANGES.txt	(revision 17179)
@@ -70,4 +70,8 @@
 
 * Add serial no to the coursetickets.pdf.
+
+* Upgraded beaker dependency. Caution! This change is not backwards compatible
+  as it introduces a new ZCML snippet in site.zcml that will not be parsable
+  with older versions of kofa.
 
 1.7.1 (2021-04-20)
Index: main/waeup.kofa/branches/uli-upgrade-beaker/etc/site.zcml.in
===================================================================
--- main/waeup.kofa/branches/uli-upgrade-beaker/etc/site.zcml.in	(revision 17171)
+++ main/waeup.kofa/branches/uli-upgrade-beaker/etc/site.zcml.in	(revision 17179)
@@ -1,3 +1,4 @@
 <configure xmlns="http://namespaces.zope.org/zope"
+           xmlns:browser="http://namespaces.zope.org/browser"
            xmlns:kofa="http://namespaces.waeup.org/kofa"
            i18n_domain="${kofa_params:devel_pkg}">
@@ -80,3 +81,13 @@
              principal="zope.manager" />
    </configure>
+
+   <!-- session -->
+   <browser:beakerSession
+        key="waeup.kofa.session.id"
+        secret="KofaRocks"
+        timeout="3600"
+        type="cookie"
+        validate_key="thisMightBeChanged"
+        />
+
 </configure>
Index: main/waeup.kofa/branches/uli-upgrade-beaker/src/waeup/kofa/beaker.py
===================================================================
--- main/waeup.kofa/branches/uli-upgrade-beaker/src/waeup/kofa/beaker.py	(revision 17171)
+++ 	(revision )
@@ -1,60 +1,0 @@
-"""Configure dolmen.beaker.
-
-One main advantage of using dolmen.beaker is that session data for a
-certain user can be stored almost automatically in a cookie, thus
-reducing the number of needed ZODB operations.
-
-Security Advisory
------------------
-
-To prevent users from playing around with their session data, these
-data is encrypted by some keys stored in a dict registered as a global
-utility.
-
-These keys are set each time the Zope instance starts. If they change,
-all existing cookies will become unreadable and therefore the stored
-sessions will be lost. Already logged-in users will have to login
-again and all other session based operations might have to be
-restarted.
-
-Changing the keys might therefore have sideeffects.
-
-On the other hand static keys stored in SVN might become known to
-users and enable them to manipulate their session data.
-
-For better security the keys (or one of the keys) could therefore be
-gathered from 'outside' (a file in filesystem, some environment var,
-or whatever).
-"""
-import grok
-from zope.app.appsetup.interfaces import IDatabaseOpenedWithRootEvent
-from zope.component import getUtility
-
-#: Our configuration for dolmen.beaker sessions.
-#:
-#: See http://gitweb.dolmen-project.org/dolmen.beaker.git?a=blob;f=src/dolmen/beaker/utilities.py
-#:
-#: for default configuration.
-BEAKER_CONFIG = dict(
-    data_dir=None,
-    invalidate_corrupt=True,
-    key='waeup.kofa.session.id',
-    log_file=None,
-    secret="KofaRocks",
-    timeout=3600,
-    type="cookie",
-    validate_key="thisMightBeChanged",
-    )
-
-@grok.subscribe(IDatabaseOpenedWithRootEvent)
-def set_beaker_conf(event):
-    # Set beaker conf once when ZODB was opened
-    try:
-        from dolmen.beaker.interfaces import ISessionConfig
-    except ImportError:
-        # we seem to work without dolmen.beaker
-        return
-
-    config = getUtility(ISessionConfig)
-    config.update(BEAKER_CONFIG)
-    return
Index: main/waeup.kofa/branches/uli-upgrade-beaker/src/waeup/kofa/ftesting.zcml
===================================================================
--- main/waeup.kofa/branches/uli-upgrade-beaker/src/waeup/kofa/ftesting.zcml	(revision 17171)
+++ main/waeup.kofa/branches/uli-upgrade-beaker/src/waeup/kofa/ftesting.zcml	(revision 17179)
@@ -1,4 +1,5 @@
 <configure
    xmlns="http://namespaces.zope.org/zope"
+   xmlns:browser="http://namespaces.zope.org/browser"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
    i18n_domain="waeup.kofa"
@@ -70,3 +71,12 @@
   <grant role="zope.Manager" principal="zope.mgr" />
 
+   <!-- session -->
+   <browser:beakerSession
+        key="waeup.kofa.session.id"
+        secret="KofaRocks"
+        timeout="3600"
+        type="cookie"
+        validate_key="thisMightBeChanged"
+        />
+
 </configure>
Index: main/waeup.kofa/branches/uli-upgrade-beaker/src/waeup/kofa/tests/test_beaker.py
===================================================================
--- main/waeup.kofa/branches/uli-upgrade-beaker/src/waeup/kofa/tests/test_beaker.py	(revision 17171)
+++ main/waeup.kofa/branches/uli-upgrade-beaker/src/waeup/kofa/tests/test_beaker.py	(revision 17179)
@@ -20,3 +20,4 @@
         session = ISession(request)
         self.assertTrue(session.__module__.startswith('dolmen.beaker'))
+        self.assertTrue(session.get("_path", None) is not None)
         return
Index: main/waeup.kofa/branches/uli-upgrade-beaker/versions.cfg
===================================================================
--- main/waeup.kofa/branches/uli-upgrade-beaker/versions.cfg	(revision 17171)
+++ main/waeup.kofa/branches/uli-upgrade-beaker/versions.cfg	(revision 17179)
@@ -10,5 +10,5 @@
 alabaster = 0.7.7
 Babel = 1.3
-Beaker = 1.6.4
+Beaker = 1.11.0
 collective.recipe.sphinxbuilder = 0.8.2
 collective.recipe.template = 2.1
@@ -17,6 +17,7 @@
 distribute = 0.6.49
 docutils = 0.11
-dolmen.beaker = 0.1
+dolmen.beaker = 0.4
 experimental.cssselect = 0.3
+funcsigs = 1.0.2
 grok = 1.1.1
 grokcore.view = 1.13.5
@@ -47,5 +48,4 @@
 psutil = 2.1.3
 py = 1.0.2
-pycryptopp = 0.6.0.1206569328141510525648634803928199668821045408958
 Pygments = 2.0.2
 pyprof2calltree = 1.1.1