Index: in/waeup.uniben/trunk/src/waeup/uniben/locales/en/LC_MESSAGES/waeup.uniben.po
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/locales/en/LC_MESSAGES/waeup.uniben.po	(revision 17183)
+++ 	(revision )
@@ -1,225 +1,0 @@
-# #############################################################################
-#
-# Copyright (c) 2003-2004 Zope Corporation and Contributors.
-# All Rights Reserved.
-#
-# This software is subject to the provisions of the Zope Public License,
-# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
-# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
-# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
-# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
-# FOR A PARTICULAR PURPOSE.
-#
-# #############################################################################
-msgid ""
-msgstr ""
-"Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Mon Jul  7 13:11:55 2014\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
-"Language: \n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Generated-By: zope/app/locales/extract.py\n"
-
-#: waeup/uniben/applicants/browser.py:116
-msgid "<br /><br /><br />Comfirm your exam venue 72 hours to the exam."
-msgstr ""
-
-#: waeup/uniben/applicants/browser.py:128
-msgid ""
-"Upload your 1\"x1\" Red  background passport photo before making payment."
-msgstr ""
-
-#: waeup/uniben/applicants/browser.py:137
-msgid "You are not entitled to upload passport pictures."
-msgstr ""
-
-#: waeup/uniben/interfaces.py:106
-msgid "Academic Session"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:35
-msgid "School Fee (ignored)"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:41
-msgid "Application Fee (fallback)"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:47
-msgid "Clearance Fee (ignored)"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:53
-msgid "Booking Fee"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:59
-msgid "Maintenance Fee (ignored)"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:65
-msgid "Transcript Fee"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:73
-msgid "Gown Fee"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:79
-msgid "Transfer Fee"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:85
-msgid "UG Penalty Fee"
-msgstr ""
-
-#: waeup/uniben/interfaces.py:91
-msgid "PG Penalty Fee"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:136
-msgid "Edit current level"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:149
-msgid "Save"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:155
-msgid "Current level not available for certificate."
-msgstr ""
-
-#: waeup/uniben/students/browser.py:183 waeup/uniben/students/browser.py:238
-msgid "1st Semester Courses"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:185 waeup/uniben/students/browser.py:240
-msgid "2nd Semester Courses"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:187 waeup/uniben/students/browser.py:242
-msgid "Level Courses"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:189 waeup/uniben/students/browser.py:244
-msgid "1st Trimester Courses"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:191 waeup/uniben/students/browser.py:246
-msgid "2nd Trimester Courses"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:193 waeup/uniben/students/browser.py:248
-msgid "3rd Trimester Courses"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:203 waeup/uniben/students/browser.py:268
-msgid "Credits"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:258
-msgid "Course Result Slip"
-msgstr ""
-
-#: waeup/uniben/students/browser.py:309
-msgid "Student account has been activated."
-msgstr ""
-
-#: waeup/uniben/students/browser.py:321
-msgid "Student account has been deactivated."
-msgstr ""
-
-#: waeup/uniben/students/browser.py:82
-msgid "No birth certificate uploaded."
-msgstr ""
-
-#: waeup/uniben/students/browser.py:84
-msgid "No guarantor/referee letter uploaded."
-msgstr ""
-
-#: waeup/uniben/students/browser.py:86
-msgid "No acceptance letter uploaded."
-msgstr ""
-
-#: waeup/uniben/students/browser.py:88
-msgid "No first sitting result uploaded."
-msgstr ""
-
-#: waeup/uniben/students/browser.py:92
-msgid "No affidavit of non-membership of secret cults uploaded."
-msgstr ""
-
-#: waeup/uniben/students/interfaces.py:74
-msgid "Current Session Payment"
-msgstr ""
-
-#: waeup/uniben/students/interfaces.py:80
-msgid "Payment Level"
-msgstr ""
-
-#: waeup/uniben/students/utils.py:107 waeup/uniben/students/utils.py:123
-msgid "Study course data are incomplete."
-msgstr ""
-
-#: waeup/uniben/students/utils.py:191
-msgid "Amount could not be determined."
-msgstr ""
-
-#: waeup/uniben/students/utils.py:206
-msgid "This type of payment has already been made."
-msgstr ""
-
-#: waeup/uniben/students/utils.py:208
-msgid "Payment temporarily disabled."
-msgstr ""
-
-#: waeup/uniben/students/utils.py:68
-msgid "The previous session must not fall below your entry session."
-msgstr ""
-
-#: waeup/uniben/students/utils.py:73 waeup/uniben/students/utils.py:76
-msgid "This is not a previous session."
-msgstr ""
-
-#: waeup/uniben/students/utils.py:86 waeup/uniben/students/utils.py:150
-#: waeup/uniben/students/utils.py:172
-msgid "Session configuration object is not available."
-msgstr ""
-
-#: waeup/uniben/students/viewlets.py:105
-msgid "Affidavit of Non-Membership of Secret Cults Scan"
-msgstr ""
-
-#: waeup/uniben/students/viewlets.py:121 waeup/uniben/students/viewlets.py:137
-msgid "Left Thumb Fingerprint"
-msgstr ""
-
-#: waeup/uniben/students/viewlets.py:122 waeup/uniben/students/viewlets.py:138
-msgid "Left Thumb Fingerprint Minutiae"
-msgstr ""
-
-#: waeup/uniben/students/viewlets.py:37
-msgid "Edit level"
-msgstr ""
-
-#: waeup/uniben/students/viewlets.py:52
-msgid "Download course result slip"
-msgstr ""
-
-#: waeup/uniben/students/viewlets.py:65 waeup/uniben/students/viewlets.py:66
-#: waeup/uniben/students/viewlets.py:76
-msgid "JAMB Letter"
-msgstr ""
-
-#: waeup/uniben/students/viewlets.py:77
-msgid "JAMB Letter Scan"
-msgstr ""
-
-#: waeup/uniben/students/viewlets.py:93 waeup/uniben/students/viewlets.py:94
-#: waeup/uniben/students/viewlets.py:104
-msgid "Affidavit of Non-Membership of Secret Cults"
-msgstr ""