Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser.py
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser.py	(revision 17201)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser.py	(revision 17216)
@@ -43,5 +43,6 @@
     IApplicantOnlinePayment, IApplicantsUtils)
 from kofacustom.nigeria.applicants.interfaces import INigeriaApplicantOnlinePayment
-from kofacustom.nigeria.applicants.browser import NigeriaExportPDFPaymentSlipPage
+from kofacustom.nigeria.applicants.browser import (
+    NigeriaExportPDFPaymentSlipPage, NigeriaOnlinePaymentDisplayFormPage)
 from kofacustom.lpng.applicants.interfaces import (
     ICustomApplicant,
@@ -71,5 +72,5 @@
         if self.context.punit:
             punit = self.context.punit.split('_')
-            return ' / '.join([STATES[punit[0]], 
+            return ' -> '.join([STATES[punit[0]],
                     LGAS['_'.join(punit[:2])], 
                     WARDS['_'.join(punit[:3])] , 
@@ -139,5 +140,6 @@
                    ]]
         if state == STARTED:
-            actions = [[_('Save'), _('Save and Make Donation via USSD')],
+            actions = [[_('Save'),
+                        _('Save and Make Donation via USSD')],
                 [
                  #_('Add online payment ticket'),
@@ -214,4 +216,15 @@
         return form_fields
 
+class CustomOnlinePaymentDisplayFormPage(NigeriaOnlinePaymentDisplayFormPage):
+    """ Page to view an online payment ticket
+    """
+    form_fields = grok.AutoFields(INigeriaApplicantOnlinePayment).omit('ac',
+        'provider_amt', 'gateway_amt', 'thirdparty_amt',
+        'p_item', 'display_item', 'p_session')
+    form_fields[
+        'creation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
+    form_fields[
+        'payment_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
+
 class CustomExportPDFPaymentSlipPage(NigeriaExportPDFPaymentSlipPage):
     """Deliver a PDF slip of the context.
@@ -219,5 +232,5 @@
     # use IApplicantOnlinePayment alternativly
     form_fields = grok.AutoFields(INigeriaApplicantOnlinePayment).omit(
-        'p_item').omit('p_option').omit('p_combi')
+        'p_item', 'p_option', 'p_combi', 'display_item', 'p_session')
     form_fields['creation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     form_fields['payment_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
@@ -275,8 +288,8 @@
     """
     """
-    grok.context(ICustomApplicant)
+    grok.context(ICustomApplicantOnlinePayment)
     grok.require('waeup.handleApplication')
     grok.name('ussdinfo')
-    label = _('Donate via USSD')
+    label = _('Pay via USSD')
     grok.template('ussdinfo')
     pnav = 3
Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser_templates/applicantdisplaypage.pt	(revision 17201)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser_templates/applicantdisplaypage.pt	(revision 17216)
@@ -54,7 +54,5 @@
 <br />
 
-<a tal:attributes="href python:view.url(context, 'ussdinfo')" class="btn-big btn btn-primary">Make Donation via USSD</a>
-
-<tal:payments condition="view/display_payments">
+<tal:payments condition="python: view.display_payments and len(context.payments)">
   <h3 i18n:domain="waeup.kofa" i18n:translate="">
       Payment Tickets
@@ -67,5 +65,4 @@
         <th i18n:translate="">Payment Date</th>
         <th i18n:translate="">Category</th>
-        <th i18n:translate="">Item</th>
         <th i18n:translate="">State</th>
       </tr>
@@ -78,5 +75,4 @@
         <td tal:content="python: layout.formatDatetime(value.payment_date)">PAYMENT DATE</td>
         <td tal:content ="value/category">CATEGORY</td>
-        <td tal:content ="value/display_item">ITEM</td>
         <td tal:content ="value/p_state_title">STATE</td>
       </tr>
@@ -84,2 +80,4 @@
   </table>
 </tal:payments>
+
+<a tal:attributes="href python:view.url(context, 'addbp')" class="btn-big btn btn-primary">Make Donation</a>
Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser_templates/ussdinfo.pt
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser_templates/ussdinfo.pt	(revision 17201)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser_templates/ussdinfo.pt	(revision 17216)
@@ -2,6 +2,6 @@
 
 <ol>
-<li>Pay by USSD Ecobank Customers: <strong>*326*6*Amount*20341823#</strong></li>
-<li>Pay by USSD Other Bank Customers: <strong>*BankUSSDcode*000*20341823+Amount#</strong></li>
+<li>Pay by USSD Ecobank Customers: <strong>*326*6*<span tal:replace="python: int(context.amount_auth)">AMOUNT</span>*20341823#</strong></li>
+<li>Pay by USSD Other Bank Customers: <strong>*BankUSSDcode*000*20341823+<span tal:replace="python: int(context.amount_auth)">AMOUNT</span>#</strong></li>
 <li>You can also write your cheque in favour of <strong>BIG TENT FOUNDATION FOR CHARITY, ENLIGHTENMENT AND EMPOWERMENT</strong></li>
 </ol>
Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/viewlets.py
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/viewlets.py	(revision 17201)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/viewlets.py	(revision 17216)
@@ -20,5 +20,7 @@
 from waeup.kofa.browser.viewlets import ManageActionButton
 from waeup.kofa.applicants.viewlets import ApplicantsAuthTab
-from kofacustom.lpng.applicants.interfaces import ICustomApplicant
+from waeup.kofa.applicants.browser import OnlinePaymentDisplayFormPage
+from kofacustom.lpng.applicants.interfaces import (
+    ICustomApplicant, ICustomApplicantOnlinePayment)
 from kofacustom.lpng.applicants.browser import (ApplicantDisplayFormPage,
     ApplicantEditFormPage)
@@ -55,7 +57,24 @@
     grok.view(ApplicantDisplayFormPage)
     icon = 'actionicon_donate.png'
-    text = _('Make Donation via USSD')
-    target ='ussdinfo'
+    text = _('Make Donation')
+    target ='addbp'
 
 class MakeUSSDDonationActionButton2(MakeUSSDDonationActionButton):
     grok.view(ApplicantEditFormPage)
+
+class MakeUSSDDonationActionButton3(ManageActionButton):
+    grok.order(1)
+    grok.context(ICustomApplicantOnlinePayment)
+    grok.view(OnlinePaymentDisplayFormPage)
+    grok.require('waeup.payApplicant')
+    icon = 'actionicon_pay.png'
+    text = _('Pay via OSSD')
+    target = 'ussdinfo'
+
+    @property
+    def target_url(self):
+        if self.context.p_state != 'unpaid':
+            return ''
+        if self.context.amount_auth == 0:
+            return ''
+        return self.view.url(self.view.context, self.target)