Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser_templates/applicanteditpage.pt	(revision 17228)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/browser_templates/applicanteditpage.pt	(revision 17229)
@@ -105,10 +105,79 @@
     <input id="confirm_passport" name="confirm_passport"
            type="checkbox" value="True"/>&nbsp;&nbsp;
-    <span i18n:translate="">
-    I confirm that the Passport Photograph uploaded on this form is a
-    true picture of me.
+    <span>
+      I accept and subscribe to the Manifesto, Constitution and Programme of the
+      party based on the ideology and ideals of Socio Democracy.
+      I do also agree to the
+      <a tal:attributes="href python:view.application_url('privacypolicy')" data-toggle="modal"
+          data-target="#myModal" >
+        Privacy Policy of the Big Tent Foundation</a>.
     </span>
   </div>
   <br />
+
+  <!-- Modal -->
+  <div class="modal fade" id="myModal" tabindex="-1" role="dialog"
+       aria-labelledby="myModalLabel" aria-hidden="true">
+    <div class="modal-dialog">
+      <div class="modal-content">
+        <div class="modal-header">
+          <button type="button" class="close" data-dismiss="modal"
+                  aria-hidden="true">&times;</button>
+          <h4 class="modal-title" id="myModalLabel" i18n:translate="">
+            Privacy Policy of the Big Tent Foundation
+          </h4>
+        </div>
+        <div class="modal-body" i18n:translate="lecturer_help">
+
+
+<h5>How We Use Your Information</h5>
+<p>
+The Big Tent Foundation is committed to protecting your privacy online. When you register, contribute, sign up to volunteer, or take any other action on our site, we may ask you to give us contact information, including your name, address, telephone number and/or e-mail address. We may obtain information about you from outside sources and add it to or combine it with the information we collect through this site. We use this information to operate this site, send you news and information to you about The Big Tent Foundation and to solicit your participation in our programmes, events and activities, and obtain and confirm RSVP’s to events and programs. We use your e-mail address to send such information by e-mail and may use your telephone number to call you for these purposes. We will never provide your e-mail address or any of your personal information to any other person or organization, for any purpose. If you make a contribution online, we may also ask for your banking details card. That information is used solely for processing your contribution; is not maintained by our organization; and is never disclosed to anyone, for any other purpose other than for processing your contribution, under any circumstances.
+</p>
+<h5>How We Protect Information</h5>
+<p>
+The Big Tent Foundation uses industry standard security measures to protect against the loss, misuse or alteration of the information under our control. Our server is located in a locked, secure environment. Permission to access your information is granted only to you and The Big Tent Foundation employees or contractors who need to know that information to provide services to you. Although we make good faith efforts to store information collected by this website in a secure operating environment, we cannot guarantee complete security.
+</p>
+<h5>Links to Other Websites</h5>
+<p>
+This privacy policy covers this website and its subdomains. These sites may link to third-party websites. We are not responsible for the content or privacy policies of these third-party sites. We encourage you to read the privacy policies and review the practices of all websites you visit.
+</p>
+<h5>Other Disclosure of Your Information</h5>
+<p>
+Though we make every effort to preserve user privacy, we may need to disclose personal information when we have a good-faith belief release is appropriate to comply with the law (for example, a lawful subpoena), to protect our rights or property, or to protect our donors, artists and supporters from fraudulent, abusive, or unlawful conduct, or if we reasonably believe that an emergency involving immediate danger of death or serious physical injury to any person requires disclosure of communications or justifies disclosure of records without delay.
+</p>
+<h5>SPECIAL NOTICE FOR PARENTS:</h5>
+<p>
+We want to help you guard your children’s privacy. We encourage you to talk to your children about safe and responsible use of their personal information while using the Internet. The Big Tent Foundation does not knowingly collect, use or distribute children’s personally identifiable information to any third parties. If you have any reservations, questions or concerns about your child’s access to this site or how information that your child provides is used by us, please contact us.
+</p>
+<h5>About Cookies, IP Addresses and Log File Data Cookies</h5>
+<p>
+A cookie is a piece of data stored on the user’s hard drive containing information about the user. The Big Tent Foundation website uses a cookie for measuring aggregate web statistics, including number of monthly visitors, number of repeat visitors, most popular webpages and other information. The Big Tent Foundation will also use cookies to facilitate your online visit by maintaining data that you provide for online activism activities so that you will not need to resubmit certain information. We may also use third-party services such as Google Analytics. This helps us understand traffic patterns and know if there are problems with our Site. We may also use embedded images in emails to track open rates for our mailings, so that we can tell which mailings appeal most to our supporters.
+</p>
+<h5>Advertising</h5>
+<p>
+We may place online advertising with third-party vendors, including Google, which will be shown on other Sites on the Internet. In some cases, those third-party vendors may decide which ads to show you based on your prior visits to the Site. At no time will you be personally identified to those third-party vendors, nor will any of the information you share with us be shared with those third-party vendors. If you prefer to opt out of the use of these third-party cookies on the Site, you can do so by visiting the Network Advertising Initiative opt out page.
+</p>
+<h5>Server Log Files</h5>
+<p>
+We log standard technical information, such as your IP address and the kind of browser you use. We log this information for troubleshooting purposes and to track which pages people visit in order to improve the site. We do not use log files to track a particular individual’s use of the website.
+</p>
+<h5>How to Unsubscribe or Opt Out</h5>
+<p>
+People who subscribe to e-mail lists via this website will receive periodic updates from The Big Tent Foundation by regular mail, fax and/or e-mail. You may opt out of receiving future information via e-mail by using the unsubscribe procedure specified on the e-mail message.
+</p>
+<h5>How We Notify You About Privacy Policy Changes</h5>
+<p>
+We may revise and update this Privacy Policy if we change our practices, add new site features, or change existing site features. We will notify registered users by email and post notice to this site of any substantive changes to our Privacy Policy. Your use of this site following such changes constitutes your agreement with regard to information collected from you in the past and in the future.
+</p>
+<h5>How To Contact Us</h5>
+<p>
+Questions regarding this Privacy Policy should be emailed to reply@thebigtentfoundation.com
+</p>
+        </div>
+      </div><!-- /.modal-content -->
+    </div><!-- /.modal-dialog -->
+  </div><!-- /.modal -->
+
 
   <div tal:condition="view/availableActions">
Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 17228)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 17229)
@@ -107,12 +107,5 @@
 
 msgid "Create ticket"
-msgstr "Create payment ticket"
-
-msgid ""
-"I confirm that the Passport Photograph uploaded on this form is a true "
-"picture of me."
-msgstr ""
-"I accept and subscribe to the Manifesto, Constitution and Programme of the "
-"party based on the ideology and ideals of Socio Democracy."
+msgstr "Initiate payment"
 
 msgid "Payment successfully completed. Kindly submit application for processing."