Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/payments/interfaces.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/payments/interfaces.py	(revision 17242)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/payments/interfaces.py	(revision 17246)
@@ -18,7 +18,14 @@
 from zope.interface import Attribute
 from zope import schema
-from waeup.kofa.interfaces import SimpleKofaVocabulary
+from waeup.kofa.interfaces import (
+    SimpleKofaVocabulary, ContextualDictSourceFactoryBase)
 from waeup.kofa.payments.interfaces import IPayment
 from kofacustom.nigeria.interfaces import MessageFactory as _
+
+class CurrencySymbolSource(ContextualDictSourceFactoryBase):
+    """A payment category source delivers all categories of payments.
+
+    """
+    DICT_NAME = 'CURRENCY_DICT'
 
 class INigeriaOnlinePayment(IPayment):
@@ -56,4 +63,11 @@
 
     # Only defined in kofacustom.nigeria package
+
+    p_currency = schema.Choice(
+        title = _(u'Currency'),
+        source = CurrencySymbolSource(),
+        required = False,
+        default = 'NGN',
+        )
 
     r_pay_reference = schema.TextLine(
@@ -125,2 +139,4 @@
 INigeriaOnlinePayment['net_amt'].order = INigeriaOnlinePayment[
     'amount_auth'].order
+INigeriaOnlinePayment['p_currency'].order = INigeriaOnlinePayment[
+    'amount_auth'].order
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 17242)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 17246)
@@ -123,10 +123,10 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(
-            'ac,amount_auth,creation_date,gateway_amt,net_amt,p_category,p_combi,p_current,'
+            'ac,amount_auth,creation_date,gateway_amt,net_amt,p_category,p_combi,p_currency,p_current,'
             'p_id,p_item,p_level,p_option,p_session,p_split_data,p_state,payment_date,provider_amt,'
             'r_amount_approved,r_card_num,r_code,r_company,r_desc,'
             'r_pay_reference,r_payment_link,thirdparty_amt,student_id,state,'
             'current_session\r\n'
-            '666,12.12,2012-04-01 13:12:01#,,,schoolfee,[],1,my-id,p-item,'
+            '666,12.12,2012-04-01 13:12:01#,,,schoolfee,[],,1,my-id,p-item,'
             '100,,%s,,paid,2012-04-01 14:12:01#,,12.12,'
             '789,r-code,interswitch,,,,,A111111,created,2012\r\n' % (curr_year-6),
@@ -189,5 +189,5 @@
             result,
             'ac,amount_auth,creation_date,formatted_p_date,gateway_amt,net_amt,'
-            'p_category,p_combi,p_current,p_id,p_item,p_level,p_option,p_session,p_split_data,p_state,'
+            'p_category,p_combi,p_currency,p_current,p_id,p_item,p_level,p_option,p_session,p_split_data,p_state,'
             'payment_date,provider_amt,r_amount_approved,r_card_num,r_code,'
             'r_company,r_desc,r_pay_reference,r_payment_link,thirdparty_amt,student_id,'
@@ -195,5 +195,5 @@
             'current_session,entry_session,entry_mode,faccode,depcode,certcode,lga\r\n'
 
-            '666,12.12,%s-04-01 13:12:01#,,,,schoolfee,[],1,my-id,p-item,'
+            '666,12.12,%s-04-01 13:12:01#,,,,schoolfee,[],,1,my-id,p-item,'
             '100,,%s,,paid,%s-04-01 14:12:01#,,12.12,,r-code,,,,,,A111111,'
             '234,123,Anna,M.,Tester,f,created,2012,2010,ug_ft,NA,NA,CERT1,\r\n'
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/utils.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/utils.py	(revision 17242)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/utils.py	(revision 17246)
@@ -363,4 +363,11 @@
         }
 
+    CURRENCY_DICT = {
+        'NGN': u"\N{naira sign} (Naira)",
+        'EUR': u"\N{euro sign} (Euro)",
+        'USD': u"\N{dollar sign} (US Dollar)",
+        'GBP': u"\N{pound sign} (Pound Sterling)",
+        }
+
     @property
     def tzinfo(self):