Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/utils.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/utils.py	(revision 17277)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/utils.py	(revision 17278)
@@ -34,5 +34,6 @@
         'ase': ['Admission Screening Exercise', 'ASE'], # successor of putme
         'ugpt': ['Undergraduate Part-Time Programmes', 'PT'],
-        'jupeb': ['JUPEB Pre-Degree (Foundation) Studies', 'PRE'],
+        'jupeb': ['JUPEB Pre-Degree (Foundation) Programmes', 'PRE'],
+        'ijmb': ['IJMB Foundation School Programmes', 'IJMB'],
         'pre': ['Pre-Degree (Foundation) Studies', 'PRE'],
         'dpft': ['Diploma Programmes Full-Time Programmes', 'DP'],
Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interswitch/browser.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interswitch/browser.py	(revision 17277)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interswitch/browser.py	(revision 17278)
@@ -91,7 +91,5 @@
             xmldict['institution_acct'] = '1216063205'
             xmldict['institution_bank_id'] = '117'
-            if student.is_jupeb:
-                xmldict['institution_acct'] = '1011431799'
-            elif student.faccode == 'PRE':
+            if student.faccode in ('PRE', 'JUPEB'):
                 xmldict['institution_acct'] = '1011431799'
         if self.context.p_category == 'schoolfee':
@@ -100,5 +98,5 @@
             xmldict['institution_acct'] = '1011739172'
             xmldict['institution_bank_id'] = '117'
-            if student.is_jupeb or student.faccode == 'PRE':
+            if student.faccode in ('PRE', 'JUPEB'):
                 xmldict['institution_acct'] = '2001627961'
                 xmldict['institution_bank_id'] = '8'
@@ -192,5 +190,6 @@
         xmldict['institution_bank_id'] = '117'
         if self.context.__parent__.__parent__.prefix in (
-                                    'pre', 'jupeb', 'dpft', 'dppt', 'ugpt'):
+                                    'pre', 'jupeb', 'dpft', 'dppt',
+                                    'ugpt', 'ijmb'):
             xmldict['institution_acct'] = '1011431799'
             xmldict['institution_bank_id'] = '117'
Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/student.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/student.py	(revision 17277)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/student.py	(revision 17278)
@@ -39,11 +39,5 @@
     def transcript_enabled(self):
         user = get_current_principal()
-        if user.id in ('admin', 'isouaba', 'niyi', 'delejason'):
-            return True
-        return False
-
-    @property
-    def is_jupeb(self):
-        if self.faccode.startswith('JUPEB'):
+        if user.id in ('admin', ):
             return True
         return False
Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/tests/test_export.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/tests/test_export.py	(revision 17277)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/tests/test_export.py	(revision 17278)
@@ -104,12 +104,12 @@
         self.assertMatches(
             'ac,amount_auth,creation_date,gateway_amt,net_amt,'
-            'p_category,p_combi,p_current,'
+            'p_category,p_combi,p_currency,p_current,'
             'p_id,p_item,p_level,p_option,p_session,p_state,payment_date,provider_amt,'
             'r_amount_approved,r_card_num,r_code,r_company,r_desc,'
-            'r_pay_reference,thirdparty_amt,student_id,state,'
+            'r_pay_reference,r_payment_link,thirdparty_amt,student_id,state,'
             'current_session\r\n'
-            '666,12.12,%s-04-01 13:12:01#,,,schoolfee,[],1,my-id,p-item,'
+            '666,12.12,%s-04-01 13:12:01#,,,schoolfee,[],,1,my-id,p-item,'
             '100,,%s,paid,%s-04-01 14:12:01#,,12.12,'
-            '789,r-code,interswatch,,,,A111111,created,2012\r\n'
+            '789,r-code,interswatch,,,,,A111111,created,2012\r\n'
             % (curr_year-6, curr_year-6, curr_year-6), result
             )
Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/utils.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/utils.py	(revision 17277)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/utils.py	(revision 17278)
@@ -90,5 +90,5 @@
                     amount = getattr(certificate, 'school_fee_2', 0.0)
             else:
-                if student.is_jupeb:
+                if student.faccode == 'JUPEB':
                     if not self._clearancePaymentMade(student):
                         return _(u'Acceptance fee must be paid first.'), None
@@ -118,6 +118,5 @@
                             ), None
                     amount = getattr(certificate, 'school_fee_2', 0.0)
-            if amount and not local(student) and not student.is_jupeb \
-                and student.faccode != 'PRE':
+            if amount and not local(student) and not student.faccode in ('PRE', 'JUPEB'):
                 amount += 40000
         elif category == 'clearance':
@@ -133,5 +132,5 @@
             if student.faccode == 'PRE':
                 amount = 20000.0
-            if student.is_jupeb:
+            if student.faccode == 'JUPEB':
                 amount = 25000.0
         elif category == 'bed_allocation':
Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/utils/utils.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/utils/utils.py	(revision 17277)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/utils/utils.py	(revision 17278)
@@ -70,6 +70,7 @@
         'basic_de': 'UAS, PUTME, PUDE, PCE, PRENCE',
         'no': 'No Application',
-        'pre': 'Pre-Degree Studies',
-        'jupeb': 'JUPEB Pre-Degree (Foundation) Studies',
+        'pre': 'Pre-Degree Programmes',
+        'jupeb': 'JUPEB Pre-Degree (Foundation) Programmes',
+        'ijmb': 'IJMB Foundation School Programmes',
         'dp_ft': 'Full-Time Diploma Programmes',
         'dp_pt': 'Part-Time Diploma Programmes',