Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_tpu.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_tpu.py	(revision 17268)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_tpu.py	(revision 17279)
@@ -10,5 +10,4 @@
     'tpu0009': ('Zone 01','Otite, Ogaminana, Obangede','Anointed Crown Academy, Eika Adagu'),
     'tpu0010': ('Zone 01','Otite, Ogaminana, Obangede','Ason Model Academy KM3, Obangede road, Oziokutu'),
-    'tpu0011': ('Zone 01','Otite, Ogaminana, Obangede','AS-Sabur International School, Eika Adagu'),
     'tpu0012': ('Zone 01','Otite, Ogaminana, Obangede','Bahad International School, Nagazi, Behind Noble Guest inn, Nagazi'),
     'tpu0013': ('Zone 01','Otite, Ogaminana, Obangede','Baharul Ijaba Academy, Eika Adagu'),
@@ -16,5 +15,4 @@
     'tpu0015': ('Zone 01','Otite, Ogaminana, Obangede','Champion Group Of Schools (Pry Section), Eika Adagu'),
     'tpu0016': ('Zone 01','Otite, Ogaminana, Obangede','Champion Group Of Schools (Secondary Section), Eika Adagu'),
-    'tpu0017': ('Zone 01','Otite, Ogaminana, Obangede','Christ The Redeemer Nursery And Primary School Otite'),
     'tpu0018': ('Zone 01','Otite, Ogaminana, Obangede','Community Model College, Okaito'),
     'tpu0019': ('Zone 01','Otite, Ogaminana, Obangede','DEDAP Precious Nursery/Primary School, Ozuri'),
@@ -31,5 +29,4 @@
     'tpu0030': ('Zone 01','Otite, Ogaminana, Obangede','Government Science Secondary School, Ogaminana '),
     'tpu0031': ('Zone 01','Otite, Ogaminana, Obangede','HAISSO Group of Schools, Kabba Junction, Zango Ogaminana'),
-    'tpu0032': ('Zone 01','Otite, Ogaminana, Obangede','Heros International Nursery & Primary School, along Nagazi hotel, Nagazi'),
     'tpu0033': ('Zone 01','Otite, Ogaminana, Obangede','Higher Ground Nursery/Pry School, Nagazi'),
     'tpu0034': ('Zone 01','Otite, Ogaminana, Obangede','Higher Ground Strong Foundation School, Ubeba Nagazi'),
@@ -44,18 +41,18 @@
     'tpu0043': ('Zone 01','Otite, Ogaminana, Obangede','Marvic International School, Obangede'),
     'tpu0044': ('Zone 01','Otite, Ogaminana, Obangede','MICA Comprehensive College Idatochi, Ogaminana'),
-    'tpu0045': ('Zone 01','Otite, Ogaminana, Obangede','Model Progressive Academy Nagazi Uvete beside Nagazi hotel'),
-    'tpu0046': ('Zone 01','Otite, Ogaminana, Obangede','Monarch International Nur/Pry School, Eika Adagu'),
+    'tpu0045': ('Zone 01','Otite, Ogaminana, Obangede','Progressive Model Academy Nagazi Uvete beside Nagazi hotel'),
+    'tpu0046': ('Zone 01','Otite, Ogaminana, Obangede','De Great Monarch International Nur/Pry School, Eika Adagu'),
     'tpu0047': ('Zone 01','Otite, Ogaminana, Obangede','NIOMCO Staff Secondary School, Itakpe'),
-    'tpu0048': ('Zone 01','Otite, Ogaminana, Obangede','Okomayi Nur/Pry School, Otite'),
-    'tpu0049': ('Zone 01','Otite, Ogaminana, Obangede','Okomayi Secondary School, Otite'),
-    'tpu0050': ('Zone 01','Otite, Ogaminana, Obangede','Precious Memorial Nursery/Primary School, Otite'),
+    'tpu0048': ('Zone 01','Otite, Ogaminana, Obangede','Okomanyi Nur/Pry School, Otite'),
+    'tpu0049': ('Zone 01','Otite, Ogaminana, Obangede','Okomanyi Secondary School, Otite'),
+    'tpu0050': ('Zone 01','Otite, Ogaminana, Obangede','Precious Memory Nursery/Primary School, Nagazi Uvete'),
     'tpu0051': ('Zone 01','Otite, Ogaminana, Obangede','Premier International College New Zango, Ogaminana'),
     'tpu0052': ('Zone 01','Otite, Ogaminana, Obangede','Prince Of Peace Academy Ogaminana, After New Zango Oziokutu'),
     'tpu0053': ('Zone 01','Otite, Ogaminana, Obangede','Royal Star N/P School, Eika Adagu'),
-    'tpu0054': ('Zone 01','Otite, Ogaminana, Obangede','Sallamind International Academy, Nagazi, Along mama Governor\'s road'),
+    'tpu0054': ('Zone 01','Otite, Ogaminana, Obangede','Stellar Minds International Academy, Nagazi, Along mama Governor\'s road'),
     'tpu0055': ('Zone 01','Otite, Ogaminana, Obangede','Seat of Wisdom international school, behind Royiza filling station, Otite'),
     'tpu0056': ('Zone 01','Otite, Ogaminana, Obangede','Sheffiyat Sunshine N/Pry, Eika Adagu'),
     'tpu0057': ('Zone 01','Otite, Ogaminana, Obangede','Shining Star Academy, Nagazi Uvete'),
-    'tpu0058': ('Zone 01','Otite, Ogaminana, Obangede','Solid Rock Group of School, Eika Adagu, Behind The Apostle Church'),
+    'tpu0058': ('Zone 01','Otite, Ogaminana, Obangede','Solid Rock Group of School, Eika Adagu, Behind The Apostolic Church'),
     'tpu0059': ('Zone 01','Otite, Ogaminana, Obangede','Start Smart Academy, Eika Adagu, Behind Camp 2'),
     'tpu0060': ('Zone 01','Otite, Ogaminana, Obangede','Success College, Ozuri'),
@@ -64,5 +61,5 @@
     'tpu0063': ('Zone 01','Otite, Ogaminana, Obangede','UBE JSS, Ozuri'),
     'tpu0064': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS along Chief Salawu Addi Road, Okunchi'),
-    'tpu0065': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS Model Oziokutu  Ogaminana'),
+    'tpu0065': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS Model Oziokutu Ogaminana'),
     'tpu0066': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS Nagazi Uvete opposite ECSS Ogaminana'),
     'tpu0067': ('Zone 01','Otite, Ogaminana, Obangede','UBE/Junior Secondary School, Eika Adagu New Layout'),
@@ -70,5 +67,4 @@
     'tpu0069': ('Zone 01','Otite, Ogaminana, Obangede','Unity Academy (Secondary School), Otite'),
     'tpu0070': ('Zone 01','Otite, Ogaminana, Obangede','Unity Model Secondary School, FCE Otite'),
-    'tpu0071': ('Zone 01','Otite, Ogaminana, Obangede','Winner Nursery and Primary School Otite'),
     'tpu0072': ('Zone 01','Otite, Ogaminana, Obangede','WISDOM BASED GROUP OF SCHOOLS, NAGAZI-EBA'),
     'tpu0073': ('Zone 02','Okene Metropolis','Abdulazeez Attah Memorial College (Aaamco)'),
@@ -99,10 +95,10 @@
     'tpu0098': ('Zone 02','Okene Metropolis','Okene Community Secondary School, Anyava'),
     'tpu0099': ('Zone 02','Okene Metropolis','OKENE SECONDARY SCHOOL, OKENE (OSS)'),
-    'tpu0100': ('Zone 02','Okene Metropolis','QUEENS OF APOSTOLIC COLLEGE OKENE'),
+    'tpu0100': ('Zone 02','Okene Metropolis','QUEENS OF APOSTLES COLLEGE OKENE'),
     'tpu0101': ('Zone 02','Okene Metropolis','UBE JSS Karaworo, Okene'),
     'tpu0102': ('Zone 02','Okene Metropolis','UBE Secondary School, Etahi, Okene'),
     'tpu0103': ('Zone 02','Okene Metropolis','UBE/JSS Iduka, Okene'),
     'tpu0104': ('Zone 02','Okene Metropolis','UBE/JSS Inapasi, Agassa, Okene'),
-    'tpu0105': ('Zone 03','Okene Metropolis','Adavi Local Govt. Science Sec. School, Enyidudu'),
+    'tpu0105': ('Zone 03','Kuroko-Inoziomi-GRA','Adavi Local Govt. Science Sec. School, Enyidudu'),
     'tpu0106': ('Zone 03','Kuroko-Inoziomi-GRA','Al-Manaar Academy N/P School, Inoziomi'),
     'tpu0107': ('Zone 03','Kuroko-Inoziomi-GRA','Climax Group of School, Inoziomi'),
@@ -111,8 +107,8 @@
     'tpu0110': ('Zone 03','Kuroko-Inoziomi-GRA','Government Day Secondary School, Inoziomi'),
     'tpu0111': ('Zone 03','Kuroko-Inoziomi-GRA','GOVERNMENT SECONDARY SCHOOL, KUROKO'),
-    'tpu0112': ('Zone 03','Kuroko-Inoziomi-GRA','Jamatul Muslimeen Nur?Pri school Eika Ohizeyi'),
+    'tpu0112': ('Zone 03','Kuroko-Inoziomi-GRA','Jamatul Muslimeen Nur/Pri school Eika Ohizeyi'),
     'tpu0113': ('Zone 03','Kuroko-Inoziomi-GRA','LGEA Demonstration N/P School, Eika-Ohizenyi'),
     'tpu0114': ('Zone 03','Kuroko-Inoziomi-GRA','Mawipress Academy Secondary School Eika Ohizenyi'),
-    'tpu0115': ('Zone 03','Kuroko-Inoziomi-GRA','Mirror Science & Tecnnical Academy, Kuroku Idakatapa'),
+    'tpu0115': ('Zone 03','Kuroko-Inoziomi-GRA','Mirror Science & Technical Academy, Kuroku Idakatapa'),
     'tpu0116': ('Zone 03','Kuroko-Inoziomi-GRA','Sheik Ahmad Rufai Memorial Basic School Enyidudu Inoziomi'),
     'tpu0117': ('Zone 03','Kuroko-Inoziomi-GRA','Soladad International School, GRA, Okene'),
@@ -120,15 +116,11 @@
     'tpu0119': ('Zone 04','Okengwe Ihima','ANSARU-Islam Secondary School, Oboroke, Ihima'),
     'tpu0120': ('Zone 04','Okengwe Ihima','Bethel Kiddies Academy, Behind Puffy\'s residence, Ohueta, ihima'),
-    'tpu0121': ('Zone 04','Otite, Ogaminana, Obangede','Community Secondary School, Adavi-Eba'),
+    'tpu0121': ('Zone 04','Okengwe Ihima','Community Secondary School, Adavi-Eba'),
     'tpu0122': ('Zone 04','Okengwe Ihima','Community Secondary School, Ege'),
     'tpu0123': ('Zone 04','Okengwe Ihima','Ebira Muslim College Ikuehi, Ihima'),
     'tpu0124': ('Zone 04','Okengwe Ihima','Ebira Muslim Community College, OKENGWE'),
     'tpu0125': ('Zone 04','Okengwe Ihima','Glorious Way Academy Basic and Nur/Pry. School, Okengwe'),
-    'tpu0126': ('Zone 04','Okengwe Ihima','Gloryland International Academy Oboroke Ihima, behind Odumson filling state'),
-    'tpu0127': ('Zone 04','Okengwe Ihima','Government Day Secondary School, Ohueta-Ihima'),
-    'tpu0128': ('Zone 04','Okengwe Ihima','Government Science Secondary School, Adogo'),
     'tpu0129': ('Zone 04','Okengwe Ihima','Govt. Technical College, Oboroke, Ihima'),
     'tpu0130': ('Zone 04','Okengwe Ihima','Ihima Community Science Secondary School (ICSSS), Ihima'),
-    'tpu0131': ('Zone 04','Okengwe Ihima','IHya Adu-Deen Islamic Basic Schools, Adogo'),
     'tpu0132': ('Zone 04','Okengwe Ihima','Leadership Academy Centre, Okengwe, Oro New-Layout'),
     'tpu0133': ('Zone 04','Okengwe Ihima','LENNON MEMORIAL COLLEGE AGEVA'),
@@ -152,17 +144,15 @@
     'tpu0151': ('Zone 06','Magongo/Ibilo','UBE/JSS CMS School, Ogori'),
     'tpu0152': ('Zone 07','Kabba Aiyetoro Gbedde','A.I.P.S.S. Agape International Private Secondary Sch., Ayegunle-Gbedde, Ijumu'),
-    'tpu0153': ('Zone 07','Kabba Aiyetoro Gbedde','Amazing Grace Int Sch, Ekirin Adde'),
+    'tpu0153': ('Zone 10','Iyara-Omuo','Amazing Grace Int Sch, Ekirin Adde'),
     'tpu0154': ('Zone 07','Kabba Aiyetoro Gbedde','Blessed Hope Nursery And Primary School, Kabba'),
-    'tpu0155': ('Zone 07','Kabba Aiyetoro Gbedde','Community Grammar School, Omuo'),
     'tpu0156': ('Zone 07','Kabba Aiyetoro Gbedde','Community High School Aiyetoro Gbede'),
     'tpu0157': ('Zone 07','Kabba Aiyetoro Gbedde','COMMUNITY SECONDARY SCHOOL, KABBA'),
     'tpu0158': ('Zone 07','Kabba Aiyetoro Gbedde','De-International Success Academy N/P School, Iyah-Gbedde, Ijumu'),
-    'tpu0159': ('Zone 07','Kabba Aiyetoro Gbedde','Divine International Academy, Ayetoro-Gbedde, Ijumu'),
+    'tpu0159': ('Zone 07','Kabba Aiyetoro Gbedde','Divine Intervention Academy, Ayetoro-Gbedde, Ijumu'),
     'tpu0160': ('Zone 07','Kabba Aiyetoro Gbedde','Kings And Queens Model Academy, Kabba'),
-    'tpu0161': ('Zone 07','Kabba Aiyetoro Gbedde','Local Government Secondary School, Kabba'),
+    'tpu0161': ('Zone 07','Kabba Aiyetoro Gbedde','Local Government Comprehensive Secondary School, Kabba'),
     'tpu0162': ('Zone 07','Kabba Aiyetoro Gbedde','Muslim Community Secondary School, Aiyetoro Gbede'),
     'tpu0163': ('Zone 07','Kabba Aiyetoro Gbedde','St. Barnabas Secondary School, Kabba'),
-    'tpu0164': ('Zone 07','Kabba Aiyetoro Gbedde','St. Joseph Ube Secondary School, Kabba'),
-    'tpu0165': ('Zone 07','Kabba Aiyetoro Gbedde','St. Mary Nursery/Primary School, Kabba'),
+    'tpu0164': ('Zone 07','Kabba Aiyetoro Gbedde','St. Joseph UBE Secondary School, Kabba'),
     'tpu0166': ('Zone 07','Kabba Aiyetoro Gbedde','St. Monica College, Kabba'),
     'tpu0167': ('Zone 07','Kabba Aiyetoro Gbedde','The Comforter Nur/Pry. School, Ayeteju, Kabba'),
@@ -182,5 +172,4 @@
     'tpu0181': ('Zone 08','Ikare','Comprehensive High School, Ajowa-Akoko'),
     'tpu0182': ('Zone 08','Ikare','Comprehensive High School, Iwaro, Oka, Akoko'),
-    'tpu0183': ('Zone 08','Ikare','Jolad Nur/Pry, High School, Agbaluku, Arigidi, Akoko'),
     'tpu0184': ('Zone 08','Ikare','Later Reign Nur/Pry. School, Arigidi, Akoko'),
     'tpu0185': ('Zone 08','Ikare','Lennon Jubilee High School, Ikare-Akoko'),
@@ -192,5 +181,5 @@
     'tpu0191': ('Zone 09','Mopa Isanlu','St. Joseph (R.C.M.), LGEA School Isanlu'),
     'tpu0192': ('Zone 10','Iyara-Omuo','Community Comprehensive College, Ekinrin-Adde, Ijumu'),
-    'tpu0193': ('Zone 10','Iyara-Omuo','Community Grammar Shool, Omuo'),
+    'tpu0193': ('Zone 10','Iyara-Omuo','Community Grammar School, Omuo'),
     'tpu0194': ('Zone 10','Iyara-Omuo','Comprehensive High School, Obadore, Omuo'),
     'tpu0195': ('Zone 10','Iyara-Omuo','Emmanuel International Group Of Sch., Iyara Ijumu'),
@@ -202,5 +191,5 @@
     'tpu0201': ('Zone 11','Lokoja','DE MERCY & COMPASSION SCHOOL, LOKOJA'),
     'tpu0202': ('Zone 11','Lokoja','Government Day Secondary School, Adankolo Lokoja'),
-    'tpu0203': ('Zone 11','Lokoja','Government Science Secondary Sch., Koton Karfi'),
+    'tpu0203': ('Zone 11','Lokoja','Government Science Secondary Sch., Koton Karfe'),
     'tpu0204': ('Zone 11','Lokoja','Great Nur/Pry School, Kabba-Junction Zariagi, Lokoja'),
     'tpu0205': ('Zone 11','Lokoja','Great Science College, Osara-Gada, Lokoja Road'),
@@ -210,15 +199,15 @@
     'tpu0209': ('Zone 11','Lokoja','St Luke, Adankolo, Lokoja'),
     'tpu0210': ('Zone 11','Lokoja','St Mary Nursery & Pri. Sch., Lokoja'),
-    'tpu0211': ('Zone 11','Lokoja','St Peters Primanry School Felele, Lokoja'),
+    'tpu0211': ('Zone 11','Lokoja','St Peters Primary School Felele, Lokoja'),
     'tpu0212': ('Zone 11','Lokoja','Sunnah Academy, Felele, Lokoja'),
     'tpu0213': ('Zone 12','Itobe-Aloma','Government Secondary School, Itobe'),
-    'tpu0214': ('Zone 13','Anyingba Ochaja','Agbeji Grammar School, Agbeji, Anyingba'),
-    'tpu0215': ('Zone 13','Anyingba Ochaja','ANSAR MODEL SCHOOL, ANYNGBA'),
-    'tpu0216': ('Zone 13','Anyingba Ochaja','BABAYADE NURSERY/PRIMARY SCHOOL, ANYINGBA'),
-    'tpu0217': ('Zone 13','Anyingba Ochaja','Bedrock International School, Agala-Ogane Road, Behind Upper Level Anyigba'),
-    'tpu0218': ('Zone 13','Anyingba Ochaja','C.E.F.N. Calvary International College, Abaja Anyingba'),
-    'tpu0219': ('Zone 13','Anyingba Ochaja','CEFN SECONDARY SCHOOL, Anyingba'),
-    'tpu0220': ('Zone 13','Anyingba Ochaja','CMMI SECONDARY SCHOOL, ANYINGBA'),
-    'tpu0221': ('Zone 13','Anyingba Ochaja','Our Lady of Schools, Anyingba'),
+    'tpu0214': ('Zone 13','Anyigba Ochaja','Agbeji Grammar School, Agbeji, Anyigba'),
+    'tpu0215': ('Zone 13','Anyigba Ochaja','ANSAR MODEL SCHOOL, ANYIGBA'),
+    'tpu0216': ('Zone 13','Anyigba Ochaja','BABAYADE NURSERY/PRIMARY SCHOOL, ANYIGBA'),
+    'tpu0217': ('Zone 13','Anyigba Ochaja','Bedrock International School, Agala-Ogane Road, Behind Upper Level Anyigba'),
+    'tpu0218': ('Zone 13','Anyigba Ochaja','C.E.F.N. Calvary International College, Abaja Anyigba'),
+    'tpu0219': ('Zone 13','Anyigba Ochaja','CEFN SECONDARY SCHOOL, Anyigba'),
+    'tpu0220': ('Zone 13','Anyigba Ochaja','CMML SECONDARY SCHOOL, ANYIGBA'),
+    'tpu0221': ('Zone 13','Anyigba Ochaja','Our Lady of Schools, Anyigba'),
     'tpu0222': ('Zone 14','Idah-Ugwolawo','St. Peter\'s College Idah'),
     'tpu0223': ('Zone 14','Idah-Ugwolawo','St. Udile Royal Primary/Secondary School, Idah'),
@@ -230,5 +219,5 @@
     # Additional School 03/03/2022
     'tpu2019': ('Zone 11','Lokoja','Truth and Grace Nursery and Primary School, Poly Village Felele, Lokoja, Kogi State'),
-    'tpu2020': ('Zone 11','Lokoja','Edino Prupent International School, beside town planning office, zariagi, kabba junction, lokoja kogi state'),
+    'tpu2020': ('Zone 11','Lokoja','Edino Prudent International School, beside town planning office, zariagi, kabba junction, lokoja kogi state'),
     'tpu2021': ('Zone 08','Ikare','Precious Christ foundation nursery/primary school, Ayede quarters ikakumo akoko, ondo state'),
     'tpu2023': ('Zone 08','Ikare','African church unity secondary school, epinmi akoko, ondo state'),
@@ -239,5 +228,5 @@
     'tpu2028': ('Zone 01','Otite, Ogaminana, Obangede','government day secondary school, okunchi-ogaminana'),
     'tpu2029': ('Zone 01','Otite, Ogaminana, Obangede','Okehi local government Model Secondary school, obangede okehi, kogi state'),
-    'tpu2031': ('Zone 01','Otite, Ogaminana, Obangede','Al-Adabiyyah academy,  ireokovi quarters eika ohizenyi, okehi lga, kogi state'),
+    'tpu2031': ('Zone 01','Otite, Ogaminana, Obangede','Al-Adabiyyah academy, ireokovi quarters eika ohizenyi, okehi lga, kogi state'),
     'tpu2032': ('Zone 01','Otite, Ogaminana, Obangede','Achievers nursery and primary school, oziokutu-ogaminana'),
     'tpu2033': ('Zone 01','Otite, Ogaminana, Obangede','Achievers secondary school, ogaminana'),
@@ -246,7 +235,5 @@
     'tpu2036': ('Zone 07','Kabba Aiyetoro Gbedde','The peculiar\'s academy, along deeper life,camp ground, odulu, kabba, kogi state'),
     'tpu2037': ('Zone 04','Okengwe Ihima','L.G.E.A Standard nursery & primary school, Eika-oku okengwe'),
-    'tpu2038': ('Zone 05','Adogo Ajaokuta','Dahrul-Arqam Basic School, Adogo'),
     'tpu2039': ('Zone 01','Otite, Ogaminana, Obangede','LGEA Oguda, Okene'),
-    'tpu2040': ('Zone 01','Otite, Ogaminana, Obangede','De Heros International Nursery & Primary School, along Nagazi hotel, Nagazi'),
     'tpu2041': ('Zone 04','Okengwe Ihima','Joyous academy secondary school, oboroke-ihima, okehi, kogi state'),
     'tpu2042': ('Zone 04','Okengwe Ihima','LGEA St, paul\'s school, ohieka adavi-eba'),
@@ -259,10 +246,9 @@
     'tpu2048': ('Zone 01','Otite, Ogaminana, Obangede','De-Majesty comprehensive Nur/Pri school. Along home - master bakery oziokutu kabba junction, ogaminana'),
 
-     # additional School 11/03/2022
+    # additional School 11/03/2022
     'tpu2049': ('Zone 11','Lokoja','THE LORDS MIGHTY TOWER ACADEMY, OBAJANA'),
     'tpu2050': ('Zone 11','Lokoja','BAITUL NUR INTERNATIONAL ACADEMY, OPP. ST. THERESA CATHOLIC CHURCH, GANAJA, LOKOJA'),
-    'tpu2051': ('Zone 15','Okpella-Auchi','IYORA MIXED SECONDARY SCHOOL, IYORA-UZAIRUE'),
-    'tpu2052': ('Zone 06','Magongo/Ibilo','OZA COMPREHENSIVE HIHG SCHOOL, OJAH, THROUGH LAMPESE JUNCTION ROAD, AKOKO-EDO'),
-    'tpu2053': ('Zone 07','Kabba Aiyetoro Gbedde','ahmadiyya sec sch , aiyegunle-gbede'),
+    'tpu2052': ('Zone 06','Magongo/Ibilo','OZA COMPREHENSIVE HIGH SCHOOL, OJAH, THROUGH LAMPESE JUNCTION ROAD, AKOKO-EDO'),
+    'tpu2053': ('Zone 07','Kabba Aiyetoro Gbedde','Ahmadiyya sec sch , aiyegunle-gbede'),
     'tpu2054': ('Zone 01','Otite, Ogaminana, Obangede','community sec sch, obangede'),
     'tpu2055': ('Zone 01','Otite, Ogaminana, Obangede','Excellent Academy otite. no150 behind old comfort saw mill otite'),
@@ -276,12 +262,11 @@
     'tpu2064': ('Zone 08','Ikare','Irepodun comprehensive high school, Ikakumo-akoko, Ondo state'),
 
-      # Additional School 12/03/2022
-    'tpu2065': ('Zone 01','Otite, Ogaminana, Obangede','BRIGHT KIDDIES NUR/PRI SCHOOL, OTITE, ALONE Alh Akadi road'),
+    # Additional School 12/03/2022
+    'tpu2065': ('Zone 01','Otite, Ogaminana, Obangede','BRIGHT KIDDIES NUR/PRI SCHOOL, OTITE, ALONG Alh Akadi road'),
     'tpu2066': ('Zone 01','Otite, Ogaminana, Obangede','Born to Win Nur/Pri School, Otite'),
-    'tpu2067': ('Zone 01','Otite, Ogaminana, Obangede','Ali Memorial International School, Oziokutu, Ogaminana'),
-    'tpu2068': ('Zone 01','Otite, Ogaminana, Obangede','Niyass comprehensive academy group of school, Inese, Nagazi'),
-    'tpu2069': ('Zone 01','Otite, Ogaminana, Obangede','grow great international nur/pri, Ohusechi, ogaminana'),
-    'tpu2070': ('Zone 01','Otite, Ogaminana, Obangede','global children nur/pri school, new zango, ogaminana'),
-    'tpu2071': ('Zone 03','Kuroko-Inoziomi-GRA','Royal Prince nur/pri school, Justice Moses Street, Inoziomi-Ebogogo'),
+    'tpu2068': ('Zone 01','Otite, Ogaminana, Obangede','Niyass comprehensive Academy Group of Gchool, Inese, Nagazi'),
+    'tpu2069': ('Zone 01','Otite, Ogaminana, Obangede','Grow Great International Nur/Pri, Ohusechi, Ogaminana'),
+    'tpu2070': ('Zone 01','Otite, Ogaminana, Obangede','Global Children Nur/Pri School, New Zango, Ogaminana'),
+    'tpu2071': ('Zone 03','Kuroko-Inoziomi-GRA','Royal Prince Nur/Pri School, Justice Moses Street, Inoziomi-Ebogogo'),
     'tpu2073': ('Zone 06','Magongo/Ibilo','EKPESE COLLEGE, LAMPESE'),
     'tpu2074': ('Zone 06','Magongo/Ibilo','OKPAMERI GRAMMAR SCHOOL, IBILLO'),
@@ -289,10 +274,53 @@
     'tpu2076': ('Zone 01','Otite, Ogaminana, Obangede','Access Group of school, kabba junction'),
 
-      # Additional School 14/03/2022
+    # Additional School 14/03/2022
     'tpu2077': ('Zone 01','Otite, Ogaminana, Obangede','Best Option Nursery and Primary school, along Raji Mighty Street, Oziokutu, Ogaminana'),
-    'tpu2078': ('Zone 11','Lokoja','EXCELLERS STANDARD ACADEMY,  Behind Police Station, Koton Karfe, Kogi State'),
+    'tpu2078': ('Zone 11','Lokoja','EXCELLERS STANDARD ACADEMY, Behind Police Station, Koton Karfe, Kogi State'),
     'tpu2079': ('Zone 08','Ikare','Community Comprehensive High School, Akungba Akoko'),
     'tpu2080': ('Zone 08','Ikare','Okede Community Grammar School Supare, Akoko'),
     'tpu2081': ('Zone 01','Otite, Ogaminana, Obangede','Living Spring Academy,vOpp Gamji hotel, Nagazi-Uvete'),
 
-}
+    # New Schools 29/11/2022
+    'tpu2082': ('Zone 01','Otite, Ogaminana, Obangede','LGEA Primary School, New Layout, Eika-Adagu '),
+    'tpu2083': ('Zone 09','Mopa Isanlu','St. Kizito College, Isanlu'),
+    'tpu2084': ('Zone 08','Ikare','Ajurike Technical High School, Imo, Arigidi'),
+    'tpu2085': ('Zone 10','Iyara-Omuo','Baptist High School, Ekinrin-Adde'),
+    'tpu2086': ('Zone 10','Iyara-Omuo','Government Special Science Secondary School, Egbeda Egga'),
+    'tpu2087': ('Zone 03','Kuroko-Inoziomi-GRA','Doctors & Engineers Islamic & Science Academy (DEIS Academy), Karaworo Layout'),
+    'tpu2088': ('Zone 11','Lokoja','Community Secondary School, Ahoko, Kogi State'),
+    'tpu2089': ('Zone 11','Lokoja','LGEA Modern Science Secondary School, Gegu-Egba'),
+    'tpu2090': ('Zone 11','Lokoja','UBE Junior Secondary School, Gegu-Egba'),
+    'tpu2091': ('Zone 07','Kabba Aiyetoro Gbedde','Wise Virgin Nursery/Primary School, Surulere Kabba'),
+    'tpu2092': ('Zone 11','Lokoja','Harvad Academy International, road 8 Peace Community, Lokoja'),
+    'tpu2093': ('Zone 10','Iyara-Omuo','UBE II/JSS Iyamoye, Ijumu LGA'),
+    'tpu2094': ('Zone 10','Iyara-Omuo','Iyara Muslim College, Iyara'),
+    'tpu2095': ('Zone 10','Iyara-Omuo','Al-Taqwa Islamic & Arabic Academy, Iyamoye'),
+    'tpu2096': ('Zone 10','Iyara-Omuo','Isedo Comprehensive High School, Omuo-oke Ekiti'),
+    'tpu2097': ('Zone 07','Kabba Aiyetoro Gbedde','Christ the Redeemer faith Academy (RCCG Faith House), Aiyeteju Kabba'),
+    'tpu2098': ('Zone 11','Lokoja','The Grace International College, Obajana'),
+    'tpu2099': ('Zone 07','Kabba Aiyetoro Gbedde','Government Science Secondary School, Okedayo Kabba'),
+    'tpu2100': ('Zone 04','Okengwe Ihima','Holy Flock of Christ College, Ihima'),
+    'tpu2101': ('Zone 08','Ikare','Agbaode/Orimolade Grammar School, Ikare Akoko'),
+    'tpu2102': ('Zone 07','Kabba Aiyetoro Gbedde','Okebukun High School, Okebukun-Bunu'),
+    'tpu2103': ('Zone 01','Otite, Ogaminana, Obangede','Al-Ikhwan Nursery/Primary School, Kabba Junction, Ogaminana'),
+    'tpu2104': ('Zone 07','Kabba Aiyetoro Gbedde','Baptist Secondary Commercial School, Iyah-Gbede, Ijumu LGA'),
+    'tpu2105': ('Zone 07','Kabba Aiyetoro Gbedde','Total Child School, Igbohun Quarters, off Water Works Road, Kabba'),
+    'tpu2106': ('Zone 01','Otite, Ogaminana, Obangede','Great God Academy, Opposite Access Bank, Kabba Junction'),
+    'tpu2107': ('Zone 07','Kabba Aiyetoro Gbedde','Christ the Redeemer Faith Academy, Ogidi'),
+    'tpu2108': ('Zone 08','Ikare','Awodua Grammar School, Ipe Akoko'),
+    'tpu0213': ('Zone 12','Itobe-Aloma','Faith in God International N/P School, Itobe'),
+    'tpu2109': ('Zone 07','Kabba Aiyetoro Gbedde','Local Government Secondary School Otu-Egunbe, Kabba'),
+    'tpu2110': ('Zone 10','Iyara-Omuo','Adesola Group of Schools, Iyamoye'),
+    'tpu2111': ('Zone 01','Otite, Ogaminana, Obangede','Gracious Total Child Pre-School and Day Care, Otite'),
+    'tpu2112': ('Zone 01','Otite, Ogaminana, Obangede','Citadel Model College, Inese Nagazi Uvete'),
+    'tpu2113': ('Zone 08','Ikare','A1 Excellent Performance Academy, Ibaka  Quarters, beside  Bovas Filling Station, Along AAUA Big Gate  Akungba-Akoko, Ondo State'),
+    'tpu2114': ('Zone 06','Magongo/Ibilo','Unity Comprehensive College Imoga Road, Ibillo , Akoko-Edo LGA, Edo State'),
+    'tpu2115': ('Zone 01','Otite, Ogaminana, Obangede','Topflight International Schools, Eika Adavi'),
+    'tpu2116': ('Zone 07','Kabba Aiyetoro Gbedde','Silas Academy School, Aduge - Ijumu, LGA'),
+    'tpu2117': ('Zone 04','Okengwe Ihima','Silas Academy School, Iruvucheba - Oboroke, Ihima'),
+    'tpu2118': ('Zone 02','Okene Metropolis','Imam Sambai Memorial College, Okene, Alhaji Isah Siyaka\'s Compound, Iruvochinomi'),
+    'tpu2119': ('Zone 07','Kabba Aiyetoro Gbedde','Solid Imperial College International Secondary School, Oba Michael Olobayo Crescent, Adjacent INEC Office, GRA, Kabba'),
+    'tpu2119': ('Zone 04','Okengwe Ihima','Okengwe Community Secondary School, Arigo'),
+    'tpu2120': ('Zone 10','Iyara-Omuo','Model ILGEA Primary School, Ekinrin Adde'),
+    'tpu2121': ('Zone 08','Ikare','Iye Schools, Irun Akoko, Ondo State'),
+    }